Name:    dwdiff       
Version: 1.7
Release: 2%{?dist}
Summary: Front end to diff for comparing on a per word basis

Group:   Applications/Text       
License: GPLv3
URL:     http://os.ghalkes.nl/dwdiff.html
Source0: http://os.ghalkes.nl/dist/%{name}-%{version}.tgz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: diffutils
BuildRequires: gettext
BuildRequires: libicu-devel

Patch0: dwdiff-localedir.patch

%description
dwdiff is a front-end for the diff program that operates at the word level
instead of the line level. It is different from wdiff in that it allows the
user to specify what should be considered whitespace, and in that it takes an
optional list of characters that should be considered delimiters. Delimiters
are single characters that are treated as if they are words, even when there
is no whitespace separating them from preceding words or delimiters. 

%prep
%setup -q
%patch0 -p1 -b .localedir

%build
#dwdiff uses its own custom configure script
./configure --prefix=%{?buildroot:%{buildroot}}%{_prefix} \
            --binddir=%{_datadir}/locale CFLAGS="%{optflags}" 
make 


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}
#get rid of manpages other than UTF8
rm -rf %{buildroot}%{_mandir}/nl.ISO8859-1/man1/
rm -rf %{buildroot}%{_mandir}/nl.ISO8859-15/man1/
mkdir %{buildroot}%{_mandir}/man1/nl/
mv %{buildroot}%{_mandir}/nl.UTF-8/man1/dwdiff.1 %{buildroot}%{_mandir}/nl/man1/dwdiff.1
mv %{buildroot}%{_mandir}/nl.UTF-8/man1/dwfilter.1 %{buildroot}%{_mandir}/nl/man1/dwfilter.1

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/dwdiff
%{_bindir}/dwfilter
%doc README COPYING Changelog 
%{_mandir}/man1/dwdiff.1*
%{_mandir}/man1/dwfilter.1*

%lang(nl) %{_mandir}/nl/man1/dwdiff.1*
%lang(nl) %{_mandir}/nl/man1/dwfilter.1*

%changelog
* Sun Mar 7 2010 Jakub Hrozek <jhrozek@redhat.com> 1.7-2
- New upstream release, changed license to GPLv3

* Sun Nov 8 2009 Jakub Hrozek <jhrozek@redhat.com> 1.6.1-1
- New upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 16 2008 Jakub Hrozek <jhrozek@redhat.com> 1.5-2
- Modify the localedir patch to allow build with fuzz=0 and version 1.5

* Tue Dec 16 2008 Jakub Hrozek <jhrozek@redhat.com> 1.5-1
- New upstream release

* Tue Dec 02 2008 Jakub Hrozek <jhrozek@redhat.com> 1.4-3
- Shorten summary so it's PackageKit friendly

* Sun Sep 21 2008 Ville Skyttä <ville.skytta at iki.fi> - 1.4-2
- Fix Patch0:/%%patch mismatch.

* Tue Jul 08 2008 Jakub Hrozek <jhrozek@redhat.com> 1.4-1
- New upstream release, which BR: libicu-devel

* Sun Feb 10 2008 Jakub Hrozek <jhrozek@redhat.com> 1.3-2
- Bump & rebuild for GCC 4.3

* Fri Dec 28 2007 Jakub Hrozek <jhrozek@redhat.com> 1.3-1
- New upstream 

* Tue Aug  21 2007 Jakub Hrozek <jhrozek@redhat.com> 1.2-5
Fix configure/build to make the package rebuild in mock

* Mon Aug  13 2007 Jakub Hrozek <jhrozek@redhat.com> 1.2-4
Clarified the license tag

* Thu Oct  12 2006 Jakub Hrozek <jhrozek@redhat.com> 1.2-3
Fixed NL manpages packaging according to BZ #209608 comment #3

* Sat Oct  7 2006 Jakub Hrozek <jhrozek@redhat.com> 1.2-2
Fixed bugs in the specfile according to BZ #209608 comment #1

* Fri Oct  6 2006 Jakub Hrozek <jhrozek@redhat.com> 1.2-1
-initial packaging
